from machine import Pin, I2C
from time import sleep_ms
from esp32_driver_moteur_grove import *

# Crée un objet I2C    
i2c = I2C(scl=Pin(22), sda=Pin(21), freq=400000)

# Crée un objet Lcd_rgb_grove
dm = Driver_moteur_grove(i2c)

while True:
    # tout droit en avant
    dm.vit(1, 50)      # sens 1 moteur 1 à 50%
    dm.vit(2, 50)      # sens 2 moteur 2 à 50%
    sleep_ms(2000)

    # pour tourner en avançant
    dm.vit(1, 50)      # sens 1 moteur 1 à 50%
    dm.vit(2, 10)      # sens 2 moteur 2 à 10%
    sleep_ms(2000)

    # tout droit en arière
    dm.vit(1, -50)     # sens 1 moteur 1 à 50%
    dm.vit(2, -50)     # sens 2 moteur 2 à 50%
    sleep_ms(2000)

    # arrêt
    dm.vit(1, 0)       # moteur 1 à 0%
    dm.vit(2, 0)       # moteur 2 à 0%
    sleep_ms(2000)
       
       




